<?php

/*
 * Copyright (C) 2012 Fructisoft (Jeremy Joly), All Rights Reserved. 
 * @license - http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class com_fsbrowsercompatibilityInstallerScript {

    public function preflight($route, JAdapterInstance $adapter) {
        return true;
    }

    public function postflight($route, JAdapterInstance $adapter) {

        if ($route == 'install') {
            // Enable the plugin (it is installed first, before this component)			
            $this->_enablePlugin();
            return true;
        }
    }

    private function _enablePlugin() {

        $db = JFactory::getDBO();

        $query = $db->getQuery(true);

        if (version_compare(JVERSION, '1.6.0', 'ge')) {
            $query->update('#__extensions')
                    ->set('enabled = 1')
                    ->where("type='plugin'")
                    ->where("element='fsbrowsercompatibility'")
                    ->where("folder='system'");
        } else {
            $query->update('#__plugins')
                    ->set('published = 1')
                    ->where("element='fsbrowsercompatibility'");
        }
        $db->setQuery($query);

        $db->query();
    }

}

?>